#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

# Because of missing cmake(KF5Libkdepim) in armv5
ExcludeArch:    armv5tl

%define rel 2

Name:       pim-storage-service-manager
Summary:    Assistant to help with managing external and cloud data storage providers such as Owncloud and Google Drive
Version: 16.12.3
Epoch:          2
Release:    %mkrel %{rel}
Group:      Graphical desktop/KDE
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros

BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Test)

# Find KF5 package
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5I18n)
BuildRequires: cmake(KF5XmlGui)
BuildRequires: cmake(KF5NotifyConfig)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Notifications)

# Find KdepimLibs Package
BuildRequires: cmake(KF5PimTextEdit)
BuildRequires: cmake(KF5Libkdepim)
BuildRequires: cmake(KF5PimCommon)

%description
Assistant to help with managing external and cloud data storage providers such as Owncloud and Google Drive

%files
%_sysconfdir/xdg/storageservicemanager.categories
%_sysconfdir/xdg/storageservicemanager.renamecategories
%_kf5_bindir/storageservicemanager
%_kf5_datadir/applications/org.kde.storageservicemanager.desktop
%_kf5_datadir/config.kcfg/storageservicemanagerglobalconfig.kcfg
%_kf5_datadir/kconf_update/storageservicemanager-15.08-kickoff.sh
%_kf5_datadir/kconf_update/storageservicemanager.upd
%_kf5_datadir/knotifications5/storageservicemanager.notifyrc

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%_kf5_bindir/ld.gold
%cmake_kf5

%make_build

%install
%make_install -C build



%changelog
* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1092002
+ rebuild (emptylog)

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090172
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076914
- New version 16.12.0

* Wed Dec 14 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075071
- imported package pim-storage-service-manager

